<?php
/**
 * @package     Expose
 * @version     4.0
 * @author      ThemeXpert http://www.themexpert.com
 * @copyright   Copyright (C) 2010 - 2011 ThemeXpert
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3
 **/

//prevent direct access
defined ('EXPOSE_VERSION') or die ('resticted aceess');

//import parent gist class
expose_import('core.widget');

class ExposeWidgetOnepagenav extends ExposeWidget{

    public $name = 'onepagenav';

    public function init()
    {
        global $expose;
        
        $js = " $('.ex-menu > ul').onePageNav({
                'scrollOffset': 80,
                currentClass: 'active',
                changeHash: true,
                filter: ':not(.external)',
                });

                //First menu item is always active
                jQuery(document).ready(function($){
                if( $(window).scrollTop()<20 ){

                $('.ex-menu > ul > li:nth-child(1)').addClass('active');
                } 
                else {

                $('.ex-menu > ul > li:nth-child(1)').removeClass('active');
                }

                });

";


        $expose->addLink('jquery.nav.js','js', 14);
        $expose->addjQDom($js);
    }
}

?>