<?php
/**
 * @package     Expose
 * @version     4.0
 * @author      ThemeXpert http://www.themexpert.com
 * @copyright   Copyright (C) 2010 - 2011 ThemeXpert
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3
 **/
//prevent direct access
defined ('EXPOSE_VERSION') or die ('resticted aceess');

//import parent gist class
expose_import('core.widget');

class ExposeWidgetSocial extends ExposeWidget{

    public $name = 'social';

    public function render()
    {
        global $expose;

        $twitter    = (string) $this->get('twitter');
        $facebook   = (string) $this->get('facebook');
        $gplus      =(string) $this->get('gplus');
        $lin      =(string) $this->get('lin');
        $rss        = (string) $this->get('rss');
        $widgetName = (string) $this->get('widget-name');

        ob_start();
        ?>
        <?php if( $twitter OR $facebook OR $rss ): ?>
        <ul class="social-icons hidden-phone clearfix block">
    
            <?php if( !empty($widgetName) ):?>
                <h2 class="title"><span><?php echo $widgetName ;?></span></h2>
            <?php endif;?>

            <?php if( !empty($twitter) ):?>
                <li class="twitter"><a  href="<?php echo $twitter ;?>" target="_blank"><i class="bc-twitter"></i></a></li>
            <?php endif;?>
            <?php if( !empty($facebook) ):?>
                <li class="facebook"><a href="<?php echo $facebook ;?>" target="_blank"><i class="bc-facebook"></i></a></li>
            <?php endif; ?>

            <?php if( !empty($gplus) ):?>
                <li class="gplus"><a href="<?php echo $gplus ;?>" target="_blank"><i class="bc-googleplus"></i></a></li>
            <?php endif; ?>

            <?php if( !empty($lin) ):?>
                <li class="lin"><a href="<?php echo $lin ;?>" target="_blank"><i class="bc-linkedin"></i></a></li>
            <?php endif; ?>

            <?php if( !empty($rss) ):?>
                <li class="rss"><a href="<?php echo $rss; ?>" target="_blank"><i class="bc-rss"></i></a></li>
            <?php endif;?>
        </ul>
        <?php endif;?>

    <?php
        return ob_get_clean();
    }
}

?>
