<?php
/**
 * @package Xpert Contact
 * @version ##VERSION##
 * @author ThemeXpert http://www.themexpert.com
 * @copyright Copyright (C) 2009 - 2011 ThemeXpert
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

abstract class modXpertContactHelper{

    public static function getAjax()
    {

		// Get module parameters
		jimport('joomla.application.module.helper');
		$input  = JFactory::getApplication()->input;
		$module = JModuleHelper::getModule('xpertcontact');
		$params = new JRegistry();
        $params->loadString($module->params);

        // Get the data
        $data = $input->get('data', array(), 'ARRAY');

        // Get the input value from data array
        $name = $data[0]['value'];
        $email = JStringPunycode::emailToPunycode($data[1]['value']);
        $subject = $data[2]['value'];
        $body = $data[3]['value'];

        // Cache module params
        $recipient = $params->get('email_to');
        $success_msg = $params->get('success_msg');
        $failed_msg = $params->get('failed_msg');

        // Now send email
        $mail = JFactory::getMailer();
        $mail->addRecipient($recipient);
        $mail->addReplyTo(array($email, $name));
        $mail->setSender(array($email, $name));
        $mail->setSubject($subject);
        $mail->setBody($body);
        $sent = $mail->Send();

        if( $sent === TRUE )
        {
            return '<p class="xcon-success"><i class="icon-ok-circle"></i> ' . $success_msg . '</p>';
        }else
            return '<p class="xcon-failed"><i class="icon-remove-circle"></i> ' . $failed_msg . '</p>';
    }
}